# Documentation generation

- [Man page docs](man.md)
- [Markdown docs](md.md)
- [Rest docs](rest.md)
- [Yaml docs](yaml.md)

## Options
### `DisableAutoGenTag`

You may set `cmd.DisableAutoGenTag = true`
to _entirely_ remove the auto generated string "Auto generated by spf13/cobra..."
from any documentation source.

### `InitDefaultCompletionCmd`

You may call `cmd.InitDefaultCompletionCmd()` to document the default autocompletion command.
